Hacking RELEASE Sigpatches for Atmosphere (Hekate, fss0, fusee & package3)

idSkeetOnU

Member
Newcomer
Joined
Sep 25, 2021
Messages
17
Trophies
0
Age
36
XP
17
Country
United States
With today’s leak of the Metroid Dread NSP converted from cartridge, I was wondering if anyone had found a way to successfully install it (and other converted NSPs) over USB. If so, please share!

I’m running OFW 13.0.0, Atmosphere 1.1.1 with Hekate 5.6.2, and the merged sigpatches zip Impeeza posted last Tuesday (Sept 27). I’ve tried a number of installers, including AtmoXL-Titel-Installer 1.5.4 (which is the most recently updated installer I could find and the only one that successfully installed Lost in Random), but none of them can install NSPs that trigger the “Invalid NCA Signature detected!” warning (which includes homebrew NSPs like the hbmenu_forwarder and Tinfoil).

Any help is much appreciated! Thanks!
i just tested metroid nsp and it installs perfectly fine with goldleaf and quark. no errors
 

idSkeetOnU

Member
Newcomer
Joined
Sep 25, 2021
Messages
17
Trophies
0
Age
36
XP
17
Country
United States
With today’s leak of the Metroid Dread NSP converted from cartridge, I was wondering if anyone had found a way to successfully install it (and other converted NSPs) over USB. If so, please share!

I’m running OFW 13.0.0, Atmosphere 1.1.1 with Hekate 5.6.2, and the merged sigpatches zip Impeeza posted last Tuesday (Sept 27). I’ve tried a number of installers, including AtmoXL-Titel-Installer 1.5.4 (which is the most recently updated installer I could find and the only one that successfully installed Lost in Random), but none of them can install NSPs that trigger the “Invalid NCA Signature detected!” warning (which includes homebrew NSPs like the hbmenu_forwarder and Tinfoil).

Any help is much appreciated! Thanks!
its working fine using goldleaf and quark install. just installed metroid nsp
 

CaptainCrunch

Member
Newcomer
Joined
Feb 16, 2019
Messages
12
Trophies
0
Age
38
XP
83
Country
United States
its working fine using goldleaf and quark install. just installed metroid nsp
Thank you for this. I did end up resolving the issue (it was a problem on my end), which I entered into an update on my previous message in case anyone else is having similar problems.

Thanks again!
 

ashhong

Member
Newcomer
Joined
Jul 28, 2009
Messages
15
Trophies
0
XP
188
Country
United States
I installed these over totaljustice and now my autonogc setting doesn't take. It no longer reads my gamecarts. Do I need to change that setting somewhere new?
 
Last edited by ashhong,

impeeza

¡Kabito!
Member
Joined
Apr 5, 2011
Messages
669
Trophies
0
Age
43
XP
876
Country
Colombia
please read Atmosphére and Hekate documentation, booth have ini files where you can enable/disable nogc, sometimes can be set up on two different files.
 

Jazzist

Well-Known Member
Member
Joined
Jun 27, 2013
Messages
158
Trophies
0
Age
31
XP
251
Country
I installed Metroid Dread's NSP perfectly, but trying to install Nickelodeon's Battle Royale (Goldlead) hits me with an error (Error: 2145-00001 Module: ETickets). Any advice? I also extracted the .zip on OP on my SD, replacing the old folders with its contents.
 

MagicJek

New Member
Newbie
Joined
Oct 10, 2021
Messages
3
Trophies
0
Age
34
XP
7
Country
Italy
Hello there!
I was using old SXOS but recent games doesn't work anymore
so i firstly update the NintendOs to 10.3 then switch to Atmosphere (Hekate) (v1.1.1/2021.09.24)

the installation process seems fine but then when i try to launch the CFW (EMU/MMC) this message appear:

"Error while loading fss0: atmosphere/package3. Wrong ini cfg or missing files! Failed to launch HOS!"

someone can help me pls ? thanks
 

ShadowOne333

QVID PRO QVO
OP
Developer
Joined
Jan 17, 2013
Messages
10,758
Trophies
1
XP
12,686
Country
Mexico
Hello there!
I was using old SXOS but recent games doesn't work anymore
so i firstly update the NintendOs to 10.3 then switch to Atmosphere (Hekate) (v1.1.1/2021.09.24)

the installation process seems fine but then when i try to launch the CFW (EMU/MMC) this message appear:

"Error while loading fss0: atmosphere/package3. Wrong ini cfg or missing files! Failed to launch HOS!"

someone can help me pls ? thanks
The error message itself tells you the issue
Seems the ini file is not updated to read package3 instead of whatever fusee you were using for boot.
 

MagicJek

New Member
Newbie
Joined
Oct 10, 2021
Messages
3
Trophies
0
Age
34
XP
7
Country
Italy
The error message itself tells you the issue
Seems the ini file is not updated to read package3 instead of whatever fusee you were using for boot.
how i can update the ini file ? sorry i'm real noob in those things :(
in attachment my bootloader folders
(p.s. my bootloader/ini folder is empty, is that normal ?)


that's my hekate_ip.ini

[config]
autoboot=0
autoboot_list=0
autohosoff=1
autonogc=1
backlight=100
bootwait=3
updater2p=0

[CFW (sysMMC)]
emummc_force_disable=1
fss0=atmosphere/package3
icon=bootloader/res/icon_payload.bmp

[CFW (emuMMC)]
emummcforce=1
fss0=atmosphere/package3
icon=bootloader/res/icon_payload.bmp

[Stock]
emummc_force_disable=1
fss0=atmosphere/package3
icon=bootloader/res/icon_switch.bmp
stock=1

[Fusee]
icon=bootloader/res/icon_payload.bmp
payload=bootloader/payloads/fusee.bin


and my emummc .ini

[emummc]
enabled=1
sector=0x13468000
path=emuMMC/RAW1
id=0x31574152
nintendo_path=emuMMC/RAW1/Nintendo


immagine_2021-10-10_232115.png
 
Last edited by MagicJek,

impeeza

¡Kabito!
Member
Joined
Apr 5, 2011
Messages
669
Trophies
0
Age
43
XP
876
Country
Colombia
  • Like
Reactions: ShadowOne333

impeeza

¡Kabito!
Member
Joined
Apr 5, 2011
Messages
669
Trophies
0
Age
43
XP
876
Country
Colombia
If you wonder: yes you need new patches for the new prerelease atmosphère, here they are:
 

Attachments

  • FW13.0.0+Atmosphére 1.02.0.zip
    36.2 KB · Views: 18
  • Like
Reactions: gelderm

ShadowOne333

QVID PRO QVO
OP
Developer
Joined
Jan 17, 2013
Messages
10,758
Trophies
1
XP
12,686
Country
Mexico
Updated the OP with the latest sigpatches for both Atmosphere 1.2.0 current pre-releases.
I'll update the patches again if the actual 1.2.0 release is indeed a new one or updates the loader.
 
  • Love
Reactions: impeeza
General chit-chat
Help Users
    linuxares @ linuxares: haha nice